/**
 *  Copyright (C) (2010-2012) Vadim Biktashev, Alexander Karpov, 
 *                            Irina Biktasheva, Ross McFarlane;
 *  Copyright (C) 2012 Sanjay Kharche
 *
 *  This file is part of Beatbox.
 *
 *   Beatbox is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Beatbox is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Beatbox.  If not, see <http://www.gnu.org/licenses/>.
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "system.h"
#include "beatbox.h"
#include "k_.h"
#include "device.h"
#include "qpp.h"
#include "bikt.h"
#include "bgi.h"

#include "screen.h"

extern INT online;
extern INT XMAX;
extern INT YMAX;
extern INT WINX;
extern INT WINY;

int screen_already_created=0;

typedef struct {
  int XMAX, YMAX, WINX, WINY, online;
} STR;

/* state is performed once just when reading from parameter file */
int makescreen (char *w) {
  STR *S=(STR *)Malloc(sizeof(STR));
  if(!S) ERROR0("not enough memory");
  if (screen_already_created) ERROR0("screen already made");

  ACCEPTI(XMAX,639,1,INONE); XMAX=S->XMAX;
  ACCEPTI(YMAX,479,1,INONE); YMAX=S->YMAX;
  ACCEPTI(WINX,-1,INONE,INONE); WINX=S->WINX;
  ACCEPTI(WINY,-1,INONE,INONE); WINY=S->WINY;
  ACCEPTI(online,0,0,1); online=S->online;
  FREE(S);
  if (!opengraph()) {
    graphon=0;
    return 0;
  }
  update_graph();
  return (1);
}

