/**
 *  Copyright (C) (2010-2012) Vadim Biktashev, Alexander Karpov, 
 *                            Irina Biktasheva, Ross McFarlane;
 *  Copyright (C) 2012 Sanjay Kharche
 *
 *  This file is part of Beatbox.
 *
 *   Beatbox is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Beatbox is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Beatbox.  If not, see <http://www.gnu.org/licenses/>.
 */


/* MODULE FOR STOPPING THE JOB */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "system.h"

#include "beatbox.h"
#include "device.h"
#include "state.h"
#include "qpp.h"
#include "bikt.h"

extern int StopBatch;

typedef int STR;	/* dummy declaration; for compatibility only */

/* #include "argsused.h" */
/* #include "assused.h" */
RUN_HEAD(stop)
#if MPI
  return(0);
#else
  char l[80];
  sprintf(l,"STOP AT %ld[0]",t);
  #define BEEP {sound(1000); delay(20); nosound();}
  BEEP; next_text(l,w.row0,w.col0,w.color); delay(5000); BEEP; kbclear();
  MESSAGE1("%s\n",l);
  StopBatch=0;
  return(0);
#endif
RUN_TAIL(stop)

/* #include "argsused.h" */
DESTROY_HEAD(stop)
DESTROY_TAIL(stop)

/* #include "argsused.h" */
CREATE_HEAD(stop)
CREATE_TAIL(stop,0)

