/**
 *  Copyright (C) (2010-2012) Vadim Biktashev, Alexander Karpov, 
 *                            Irina Biktasheva, Ross McFarlane;
 *  Copyright (C) 2012 Sanjay Kharche
 *
 *  This file is part of Beatbox.
 *
 *   Beatbox is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Beatbox is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Beatbox.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Cubic ZFK Equation. Idris and Biktashev 2008 PRL, Keener and Snyde, Mathematical Physiology */
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "system.h"
#include "beatbox.h"
#include "on.h"
#include "ZFK.on"

#if FHNCUB

#include "device.h"
#include "state.h"
#include "bikt.h"
#include "rhs.h"
#include "qpp.h"

typedef struct {
  real aa, aalpha; /* Mathematical Physiology, Keener and Snyed, pages 270-280 */
} STR;

RHS_HEAD(zfk,1) {
  DEVICE_CONST(real,aa)
  DEVICE_CONST(real,aalpha)

  real V;
  V = u[0];

  du[0] = aa*V*(V-1.0)*(aalpha-V);

} RHS_TAIL(zfk)

RHS_CREATE_HEAD(zfk)
  ACCEPTP(aa,RNONE,RSUCC(0.),RNONE);
  ACCEPTP(aalpha,RNONE,RSUCC(0.),RNONE);
RHS_CREATE_TAIL(zfk,1)

#endif
